Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key Ring APIs

Listing Google Cloud Key Rings

search

Please Note:

Listing Google Cloud Key Rings

Use the get /v1/cckm/google/key-rings API to view the list of Google Cloud key rings available in a project linked with a Google Cloud connection.

Syntax

curl -k '<IP>/api/v1/cckm/google/key-rings?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Request Query Parameters

ParameterTypeDescription
idstringResource ID of the key ring on the CipherTrust Manager.
namestringName of the Google Cloud key ring.
connectionstringName or ID of the Google Cloud connection on the CipherTrust Manager.
cloud_namestringName of the cloud where the Google Cloud key resides.
project_idstringName or ID of the Google Cloud project where the Google Cloud key ring resides. To determine the project ID, run the post /v1/cckm/google/get-projects or get /v1/cckm/google/projects API. Refer to Fetching a Project from GCP or Viewing Google Cloud Projects.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sortstringComma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/key-rings?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFmMTFhYjM0LTFiNmQtNGY0Zi04ZTEzLTAxOGQ2ZGJlOTZlZiIsImlhdCI6MTYyMDE5NTM4OSwiZXhwIjoxNjIwMTk1Njg5fQ.PLhevpNJb6SRNJwkSZ8k_n_YpZlyU6-Fv8kkYfvsh3Q' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "0545492c-ebcc-4c0e-a456-b335b6fbdd3d",
            "uri": "kylo:kylo:cckm:gcp-key-ring:0545492c-ebcc-4c0e-a456-b335b6fbdd3d",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-05-05T06:19:44.602449Z",
            "updatedAt": "2021-05-05T06:19:44.599931Z",
            "name": "projects/gemalto-kyloeng/locations/global/keyRings/Piyush",
            "key_ring_id": "Piyush",
            "location": "global",
            "project_id": "gemalto-kyloeng",
            "project_name": "projects/gemalto-kyloeng",
            "connection": "gcp-connection",
            "cloud_name": "gcp",
            "organization_name": "organizations/123456789012",
            "organization_display_name": "123456789012"                
        }
    ]
}

The output shows the list of Google Cloud key rings available in a Google Cloud project linked with a Google Cloud connection.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.